FRAG(8)

NAME
frag - simple fragmentation checker

SYNOPSIS
/etc/frag [ -s [ -s ]] filename ...

DESCRIPTION
frag will report the file system fragmentation on a specified filename. If the filename is a directory, frag will recursively descend the directory.

OPTIONS

-s  Silent (may be set to 1 or 2). The first -s eliminates the file by file statistics, and just prints the examined directories and a summary. The second -s eliminates the printing of the directories, and just prints a summary. This option is useful when frag is used on a directory.

SEE ALSO
mkfs(8), fsck(8), mkefs(8), efsck(8)

BUGS
frag will get caught in an infinite loop in the /proc filesystem.

AUTHORS
V1.0 by Werner Almesberger
V1.1 by Steffen Zahn, adding directory recursion
V1.2 by Rob Hooft, adding hole counts
V1.3 by Steffen Zahn, ignore symlinks, don't cross filesys borders, get filesystem block size at runtime